Delete Account by Email token or OTP

Deletes an Account using a delete token or OTP.

GET
/identity/v2/auth/account/delete

Deletes an Account using a delete token or OTP.

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

deletetoken?string

This is required if the OTP is not passed in the query parameter.

email?string

Email address of the associated Account.

Formatemail
otp?string

One-time passcode sent to the User's Email.

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/auth/account/delete?prevent_webhook=true&deletetoken=1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef&email=test%40gmail.com&otp=123456" \  -H "X-PreventWebhook: true"
{
  "IsPosted": true
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "errorCode": 1409,
  "message": "Authentication failed",
  "description": "The credentials provided could not be authenticated."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}